### Method

# Gtk.CellArea.create_context

#### Declaration [src]

    GtkCellAreaContext*
    gtk_cell_area_create_context (
      GtkCellArea* area
    )

#### Description [src]

Creates a `GtkCellAreaContext` to be used with `area` for all purposes. `GtkCellAreaContext` stores geometry information for rows for which it was operated on, it is important to use the same context for the same row of data at all times (i.e. one should render and handle events with the same `GtkCellAreaContext` which was used to request the size of those rows of data).

#### Return value

Returns: `GtkCellAreaContext`
a newly created `GtkCellAreaContext` which can be used with `area`.
Ownership of the data is transferred to the caller